# ServerStatBoardChartService
> 统计看板条目

---

## disableServerStatBoardChart
> 取消图表

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ServerStatBoardChartService/disableServerStatBoardChart`
- RPC：`rpc disableServerStatBoardChart (DisableServerStatBoardChartRequest) returns (RPCSuccess);`

**请求对象 (`DisableServerStatBoardChartRequest`)**

```json
{
  "serverStatBoardId": "int64",
  "metricChartId": "int64"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ServerStatBoardChartService/disableServerStatBoardChart" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## enableServerStatBoardChart
> 添加图表

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ServerStatBoardChartService/enableServerStatBoardChart`
- RPC：`rpc enableServerStatBoardChart (EnableServerStatBoardChartRequest) returns (RPCSuccess);`

**请求对象 (`EnableServerStatBoardChartRequest`)**

```json
{
  "serverStatBoardId": "int64",
  "metricChartId": "int64"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ServerStatBoardChartService/enableServerStatBoardChart" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findAllEnabledServerStatBoardCharts
> 读取看板中的图表

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ServerStatBoardChartService/findAllEnabledServerStatBoardCharts`
- RPC：`rpc findAllEnabledServerStatBoardCharts (FindAllEnabledServerStatBoardChartsRequest) returns (FindAllEnabledServerStatBoardChartsResponse);`

**请求对象 (`FindAllEnabledServerStatBoardChartsRequest`)**

```json
{
  "serverStatBoardId": "int64"
}
```

**响应对象 (`FindAllEnabledServerStatBoardChartsResponse`)**

```json
{
  "serverStatBoardCharts": "[]ServerStatBoardChart"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ServerStatBoardChartService/findAllEnabledServerStatBoardCharts" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
